Skip to content
中文

POST /v1/images/edits

Method: POSTEndpoint: /v1/images/edits

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

Request Parameters

Header Parameters

text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}

Body Parameters multipart/form-data

text
prompt
string
Required
Example:
Put on glasses
model
string
Required
Example:
flux-kontext-pro
size
string
Optional
This is ultimately converted into a ratio, so using aspect_ratio directly is recommended.
Example:
1024x1024
aspect_ratio
string
Optional
21:9, 16:9, 4:3, 3:2, 1:1, 2:3, 3:4, 9:16, 9:21
Example:
1:1
image
file
  // provider-specific example normalized for English documentation
Optional

Example Request

Shell

bash
curl --location --request POST '/v1/images/edits' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--form 'prompt="Put on glasses"' \
--form 'model="flux-kontext-pro"' \
--form 'size="1024x1024"' \
--form 'aspect_ratio="1:1"' \
--form 'image=@""'

Response

🟢 200 Success

Content Type: application/json

Response Schema

text
object

Example

json
{}